# Booking API

The API allows the APP and POS to send and receive information about bookings. Currently the API supports creating, updating and retrieving bookings in the POS or the booking system.


Version: 1.0

## Servers

Production
```
https://api.tyro.com/connect
```

## Security

### JWT

Type: openIdConnect
OpenID Connect URL: https://auth.connect.tyro.com/.well-known/openid-configuration

## Download OpenAPI description

[Booking API](https://docs.connect.tyro.com/_bundle/app/apis/booking/1.0/index.yaml)

## Other

### Create Booking

 - [POST /bookings](https://docs.connect.tyro.com/app/apis/booking/1.0/other/create-booking-request.md): This endpoint is used to create a booking within Tyro Connect. This call will create a booking in the POS system.

The id that is returned as a part of the response should be used to identify the booking for subsequent events or retrieving the details via the GET endpoint.

### Get Booking

 - [GET /bookings/{bookingId}](https://docs.connect.tyro.com/app/apis/booking/1.0/other/get-booking.md): This endpoint is for fetching the details of a booking.

### Update Booking

 - [PATCH /bookings/{bookingId}](https://docs.connect.tyro.com/app/apis/booking/1.0/other/patch-booking.md): This endpoint is for updating a booking.

